/////////////////////////////////////////////////////////////////////////
//Roulette
////////////////////////////////////////////////////////////////////////////////
var resultWrapper = document.querySelector('.spin-result-wrapper-roulette');
var wheel = document.querySelector('.wheel-img-roulette');
var closePopup = document.querySelector('.close-popup-roulette');
$('.close-popup-roulette, .pop-up-button-roulette').click(function (e) {
	e.preventDefault();
	$('.spin-result-wrapper-roulette').fadeOut();

});
//Функция для прокрутки рулетки//
function spin() {
	if (!wheel.classList.contains('rotated')) {
		wheel.classList.add('super-rotation');
		setTimeout(function () {
			resultWrapper.style.display = "block";
		}, 8000);
		setTimeout(function () {
			$('.spin-wrapper-roulette').slideUp();
			$('.order_block-roulette').slideDown();
			makeTimer(600)
		}, 10000);
		wheel.classList.add('rotated');
	}
}

$(function () {
    var wheel = document.querySelector('.wheel-img');
    var resultWrapper = document.querySelector('.spin-result-wrapper');
    $('.cursor-text').click(function () {
        $('.cursor-text').css('pointer-events', 'none');
        if (wheel.classList.contains('rotated')) {
            resultWrapper.style.display = "block";
        } else {
            wheel.classList.add('super-rotation');
            setTimeout(function () {
                resultWrapper.style.display = "block";
            }, 8000);
            setTimeout(function () {
                $('.spin-wrapper').slideUp();
                $('.form').slideDown();
            }, 10000);
            wheel.classList.add('rotated');
        }
    });
});
/////////////////////////////////////////////////////////////////////////
//Roulette
////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////
//box
////////////////////////////////////////////////////////////////////////////////
$(document).ready(function () {
	$('.boxes > div').click(function () {
		if ($(this).parent().hasClass('boxesfirsttry')) {
			$('.boxes').removeClass('boxesfirsttry');
			$(this).addClass('openbox');
			$(this).find('.try').hide();
			$(this).find('.opentry').show();
			setTimeout(function () {
				$('.sweet-overlay').show();
				$('.sweet-alert').show();
			}, 500);
		} else if ($(this).parent().hasClass('boxeslasttry')) {
			if (!$(this).hasClass('openbox')) {
				$(this).find('.try').hide();
				$(this).find('.opentry').show();
				$(this).find('.boxtext').css('display', 'block');
				setTimeout(function () {
					$('.spin-result-wrapper-box').show();
					setTimeout(function () {
						$('#boxesContainer').slideUp(250);
						setTimeout(function () {
							$('.order_block').slideDown(250);
						}, 500)
					}, 500)
				}, 500);
			}
		}
	});

	$('#update').click(function () {
		$('.sweet-overlay').hide();
		$('.sweet-alert').hide();
		$('.boxes').addClass('boxeslasttry');
	});

	$('.pop-up-button-box').click(function () {
		$('.spin-result-wrapper').hide();
		$("a").attr("href", "#fforms");
		makeTimer(600);
	})
});
/////////////////////////////////////////////////////////////////////////
//box
////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////
//comm
////////////////////////////////////////////////////////////////////////////////
class Comment {
	constructor(
		commentForm,
		inputCommentName,
		inputCommentText,
		formImage,
		formAvatar,
		commentPushBlock
	) {
		this.commentForm = document.querySelector(commentForm);
		this.inputCommentName = document.querySelector(inputCommentName);
		this.inputCommentText = document.querySelector(inputCommentText);
		this.formImage = document.querySelector(formImage);
		this.formAvatar = document.querySelector(formAvatar);
		this.commentPushBlock = document.querySelector(commentPushBlock);
		this.commArrAll = [];
		this.formImageUrl;
		this.formImageChange();
		this.pushComBlock();
		this.domOnloader()
	}

	uploadFile(file) {
		// провераяем тип файла
		if (!['image/jpeg', 'image/png', 'image/gif'].includes(file.type)) {
			alert('Solo se permiten imágenes.');
			formImage.value = '';
			return;
		}
		// проверим размер файла (<2 Мб) 
		if (file.size > 1 * 1024 * 1024) {
			alert('El archivo debe tener menos de 1 MB.');
			return;
		}
		var reader = new FileReader();
		reader.onload = (e) => {
			this.formAvatar.innerHTML = `<img class="lazyload"  class="lazyload"  class="lazyload"   data- data- data-src="${e.target.result}" alt="Фото"> <noscript> <img class="lazyload"  class="lazyload"   data- data-src="${e.target.result}" alt="Фото"> </noscript> <noscript> <img class="lazyload"  class="lazyload"   data- data-src="${e.target.result}" alt="Фото"> <noscript> <img class="lazyload"   data-src="${e.target.result}" alt="Фото"> </noscript> </noscript> <noscript> <img class="lazyload"  class="lazyload"   data- data-src="${e.target.result}" alt="Фото"> <noscript> <img class="lazyload"   data-src="${e.target.result}" alt="Фото"> </noscript> <noscript> <img class="lazyload"   data-src="${e.target.result}" alt="Фото"> <noscript> <img src="${e.target.result}" alt="Фото"> </noscript> </noscript> </noscript>`;
			this.formAvatar.classList.add('form__avatar--loaded');
			this.formImageUrl = e.target.result;
		};
		reader.onerror = function (e) {
			alert('Error');
		};
		reader.readAsDataURL(file);
	}

	formImageChange() {
		this.formImage.addEventListener('change', () => {
			this.uploadFile(this.formImage.files[0]);
		});
	}

	pushComm() { }

	removeInputClass() {
		if (this.inputCommentName) {
			this.inputCommentName.value = '';
			this.inputCommentName.classList.remove('error')
		}
		this.inputCommentText.value = '';
		this.inputCommentText.classList.remove('error')
	}

	pushComBlock() {
		this.commentForm.addEventListener('submit', (e) => {
			e.preventDefault();
			if (this.inputCommentName) {
				if (this.inputCommentName.value && inputCommentText.value) {
					this.formAvatar.innerHTML = '';
					this.formAvatar.classList.remove('form__avatar--loaded');
					return this.pushComm();
				}
				this.inputCommentName.classList.add('error')
				this.inputCommentText.classList.add('error')
			} else {
				if (this.inputCommentText.value) {
					this.formAvatar.innerHTML = '';
					this.formAvatar.classList.remove('form__avatar--loaded');
					return this.pushComm();
				}
				this.inputCommentText.classList.add('error')
			}
		})
	}

	domOnloader() {
		document.addEventListener("DOMContentLoaded", () => {
			let commArr = localStorage['commArr'];
			if (commArr) {
				this.commArrAll = JSON.parse(localStorage.getItem('commArr'));
				commentPushBlock.innerHTML = this.commArrAll.join('');
			}
		});
	}
}
/////////////////////////////////////////////////////////////////////////
//comm
////////////////////////////////////////////////////////////////////////